# Visualization
TKV2d
Prs2d

# Prs2d_AspectRoot Class Reference

Abstract class, the root class for aspect classes
.

`#include <Prs2d_AspectRoot.hxx>`

Inheritance diagram for Prs2d_AspectRoot:

[legend]

## Public Member Functions

Standard_EXPORT Prs2d_AspectName | GetAspectName () const
| Returns the Aspect Name of the Aspect class .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Prs2d_AspectRoot (const Prs2d_AspectName anAspectName=Prs2d_AN_UNKNOWN)
| Initializes the Aspect class having name <anaspectname> .

## Private Attributes

Prs2d_AspectName | myAspectName

## Constructor & Destructor Documentation

Standard_EXPORT Prs2d_AspectRoot::Prs2d_AspectRoot | ( | const Prs2d_AspectName | anAspectName = `Prs2d_AN_UNKNOWN` | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Prs2d_AspectName Prs2d_AspectRoot::GetAspectName | ( |  | ) | const

Standard_EXPORT const Prs2d_AspectRoot::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in Prs2d_AspectFramedText, Prs2d_AspectHidingPoly, Prs2d_AspectHidingText, Prs2d_AspectLine, and Prs2d_AspectText.

## Field Documentation

Prs2d_AspectName Prs2d_AspectRoot::myAspectName `[private]`

The documentation for this class was generated from the following file:

- Prs2d_AspectRoot.hxx